Search Unity

  1. Welcome to the Unity Forums! Please take the time to read our Code of Conduct to familiarize yourself with the forum rules and how to post constructively.

[unity 2021.1.0b11.2079] Bolt Doesn't Install Correctly

Discussion in 'Visual Scripting' started by superarch09, Jan 2, 2022.

  1. superarch09

    superarch09

    Joined:
    Nov 9, 2020
    Posts:
    12
    bolt, for some reason dose not install correctly. after installing bolt, no setup wizard appears as shown in this article, instead I get the errors:

    Multiple precompiled assemblies with the same name YamlDotNet.dll included on the current platform. Only one assembly with the same name is allowed per platform. (C:/Users/Actua/OneDrive/Documents/all coding/Programs/unity/VR Social/Library/PackageCache/com.unity.visualscripting@1.5.1/Editor/VisualScripting.Core/Dependencies/YamlDotNet/YamlDotNet.dll)


    and

    Multiple precompiled assemblies with the same name YamlDotNet.dll included on the current platform. Only one assembly with the same name is allowed per platform. (Assets/Ludiq/Assemblies/YamlDotNet.dll)

    I wish to know how to install it and with a google search I can only find this which is a different error entirely.
    Thank you in advance
     
  2. Trindenberg

    Trindenberg

    Joined:
    Dec 3, 2017
    Posts:
    355
    As it says in your error, you have Visual Scripting which comes built-in 2021.1+. It replaces Bolt
     
    ericb_unity likes this.
  3. ericb_unity

    ericb_unity

    Unity Technologies

    Joined:
    Nov 24, 2017
    Posts:
    166
    You should not install bolt in Unity 2021+. As Visual Scripting come now with Unity and Bolt is not supported in new versions.